Commit e624ef59 authored by Aurelsicoko's avatar Aurelsicoko
Browse files

3.0.0-alpha.4.9

parent 5b8230c9
{
"private": true,
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"devDependencies": {
"assert": "~1.3.0",
"babel-eslint": "^6.1.2",
......
......@@ -4,6 +4,16 @@
"lockfileVersion": 1,
"requires": true,
"dependencies": {
"JSONStream": {
"version": "0.8.4",
"resolved": "https://registry.npmjs.org/JSONStream/-/JSONStream-0.8.4.tgz",
"integrity": "sha1-kWV9/m/4V0gwZhMrRhi2Lo9Ih70=",
"dev": true,
"requires": {
"jsonparse": "0.0.5",
"through": "2.3.8"
}
},
"abab": {
"version": "1.0.3",
"resolved": "https://registry.npmjs.org/abab/-/abab-1.0.3.tgz",
......@@ -6155,15 +6165,6 @@
}
}
},
"string_decoder": {
"version": "1.0.1",
"resolved": "https://registry.npmjs.org/string_decoder/-/string_decoder-1.0.1.tgz",
"integrity": "sha1-YuIA8DmVWmgQ2N8KM//A8BNmLZg=",
"dev": true,
"requires": {
"safe-buffer": "5.0.1"
}
},
"string-width": {
"version": "1.0.2",
"resolved": "https://registry.npmjs.org/string-width/-/string-width-1.0.2.tgz",
......@@ -6175,6 +6176,15 @@
"strip-ansi": "3.0.1"
}
},
"string_decoder": {
"version": "1.0.1",
"resolved": "https://registry.npmjs.org/string_decoder/-/string_decoder-1.0.1.tgz",
"integrity": "sha1-YuIA8DmVWmgQ2N8KM//A8BNmLZg=",
"dev": true,
"requires": {
"safe-buffer": "5.0.1"
}
},
"stringstream": {
"version": "0.0.5",
"resolved": "https://registry.npmjs.org/stringstream/-/stringstream-0.0.5.tgz",
......@@ -8613,16 +8623,6 @@
"integrity": "sha1-T9kss04OnbPInIYi7PUfm5eMbLk=",
"dev": true
},
"JSONStream": {
"version": "0.8.4",
"resolved": "https://registry.npmjs.org/JSONStream/-/JSONStream-0.8.4.tgz",
"integrity": "sha1-kWV9/m/4V0gwZhMrRhi2Lo9Ih70=",
"dev": true,
"requires": {
"jsonparse": "0.0.5",
"through": "2.3.8"
}
},
"jsprim": {
"version": "1.4.0",
"resolved": "https://registry.npmjs.org/jsprim/-/jsprim-1.4.0.tgz",
......@@ -13696,15 +13696,6 @@
"resolved": "https://registry.npmjs.org/strict-uri-encode/-/strict-uri-encode-1.1.0.tgz",
"integrity": "sha1-J5siXfHVgrH1TmWt3UNS4Y+qBxM="
},
"string_decoder": {
"version": "1.0.3",
"resolved": "https://registry.npmjs.org/string_decoder/-/string_decoder-1.0.3.tgz",
"integrity": "sha512-4AH6Z5fzNNBcH+6XDMfA/BTt87skxqJlO0lAh3Dker5zThcAxG6mKz+iGu308UKoPPQ8Dcqx/4JhujzltRa+hQ==",
"dev": true,
"requires": {
"safe-buffer": "5.1.1"
}
},
"string-template": {
"version": "1.0.0",
"resolved": "https://registry.npmjs.org/string-template/-/string-template-1.0.0.tgz",
......@@ -13722,6 +13713,15 @@
"strip-ansi": "3.0.1"
}
},
"string_decoder": {
"version": "1.0.3",
"resolved": "https://registry.npmjs.org/string_decoder/-/string_decoder-1.0.3.tgz",
"integrity": "sha512-4AH6Z5fzNNBcH+6XDMfA/BTt87skxqJlO0lAh3Dker5zThcAxG6mKz+iGu308UKoPPQ8Dcqx/4JhujzltRa+hQ==",
"dev": true,
"requires": {
"safe-buffer": "5.1.1"
}
},
"stringify-object": {
"version": "2.4.0",
"resolved": "https://registry.npmjs.org/stringify-object/-/stringify-object-2.4.0.tgz",
......
{
"name": "strapi-admin",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Strapi Admin",
"homepage": "http://strapi.io",
"keywords": [
......@@ -14,7 +14,7 @@
"dependencies": {
"fs-extra": "^0.30.0",
"lodash": "^4.17.4",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-utils": "file:../strapi-utils"
},
"scripts": {
"test": "cd files/public && npm run test",
......@@ -44,4 +44,4 @@
"npm": ">= 5.3.0"
},
"license": "MIT"
}
\ No newline at end of file
}
{
"name": "strapi-bookshelf",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Bookshelf hook for the Strapi framework",
"homepage": "http://strapi.io",
"keywords": [
......@@ -19,7 +19,7 @@
"bookshelf": "^0.10.3",
"lodash": "^4.17.4",
"pluralize": "^3.1.0",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-utils": "3.0.0-alpha.4.9"
},
"strapi": {
"isHook": true,
......
{
"name": "strapi-ejs",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "EJS hook for the Strapi framework",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-admin",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate the default admin panel for a Strapi application.",
"homepage": "http://strapi.io",
"keywords": [
......@@ -15,7 +15,7 @@
"dependencies": {
"fs-extra": "^0.30.0",
"lodash": "^4.17.4",
"strapi-admin": "^3.0.0-alpha.4.8"
"strapi-admin": "file:../strapi-admin"
},
"author": {
"email": "hi@strapi.io",
......@@ -41,4 +41,4 @@
"npm": ">= 5.3.0"
},
"license": "MIT"
}
\ No newline at end of file
}
{
"name": "strapi-generate-api",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate an API for a Strapi application.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-controller",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate a controller for a Strapi API.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-migrations",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate migration files for a Strapi application.",
"homepage": "http://strapi.io",
"keywords": [
......@@ -23,8 +23,8 @@
"knex": "^0.12.9",
"lodash": "^4.17.4",
"pluralize": "^3.1.0",
"strapi-bookshelf": "^3.0.0-alpha.4.8",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-bookshelf": "3.0.0-alpha.4.9",
"strapi-utils": "3.0.0-alpha.4.9"
},
"scripts": {
"prepublish": "npm prune"
......
{
"name": "strapi-generate-model",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate a model for a Strapi API.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-new",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate a new Strapi application.",
"homepage": "http://strapi.io",
"keywords": [
......@@ -16,7 +16,7 @@
"enpeem": "^2.2.0",
"fs-extra": "^1.0.0",
"lodash": "^4.17.4",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-utils": "file:../strapi-utils"
},
"scripts": {
"prepublish": "npm prune"
......@@ -45,4 +45,4 @@
"npm": ">= 5.3.0"
},
"license": "MIT"
}
\ No newline at end of file
}
{
"name": "strapi-generate-plugin",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate an plugin for a Strapi application.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-policy",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate a policy for a Strapi API.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate-service",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Generate a service for a Strapi API.",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-generate",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Master of ceremonies for the Strapi generators.",
"homepage": "http://strapi.io",
"keywords": [
......@@ -17,7 +17,7 @@
"fs-extra": "^1.0.0",
"lodash": "^4.17.4",
"reportback": "^2.0.1",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-utils": "file:../strapi-utils"
},
"scripts": {
"prepublish": "npm prune"
......@@ -46,4 +46,4 @@
"npm": ">= 5.3.0"
},
"license": "MIT"
}
\ No newline at end of file
}
......@@ -36,7 +36,7 @@ module.exports = (options) => ({
],
},
},
}
},
},
include: [
path.join(process.cwd(), 'admin', 'src'),
......
{
"name": "strapi-helper-plugin",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Helper for Strapi plugins development",
"engines": {
"node": ">= 8.0.0",
......
{
"name": "strapi-knex",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Knex hook for the Strapi framework",
"homepage": "http://strapi.io",
"keywords": [
......
{
"name": "strapi-mongoose",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "Mongoose hook for the Strapi framework",
"homepage": "http://strapi.io",
"keywords": [
......@@ -20,7 +20,7 @@
"mongoose-double": "0.0.1",
"mongoose-float": "^1.0.2",
"pluralize": "^3.1.0",
"strapi-utils": "^3.0.0-alpha.4.8"
"strapi-utils": "file:../strapi-utils"
},
"strapi": {
"isHook": true
......@@ -52,4 +52,4 @@
"npm": ">= 5.3.0"
},
"license": "MIT"
}
\ No newline at end of file
}
{
"name": "strapi-plugin-content-manager",
"version": "3.0.0-alpha.4.8",
"version": "3.0.0-alpha.4.9",
"description": "A powerful UI to easily manage your data.",
"engines": {
"node": ">= 8.0.0",
......@@ -28,19 +28,19 @@
"icon": "fa-plug"
},
"scripts": {
"analyze:clean": "node_modules/rimraf/bin.js stats.json",
"analyze:clean": "node_modules/strapi-helper-plugin/node_modules/rimraf/bin.js stats.json",
"preanalyze": "npm run analyze:clean",
"analyze": "node node_modules/strapi-helper-plugin/lib/internals/scripts/analyze.js",
"postinstall": "npm run build:dll",
"prebuild": "npm run build:clean && npm run test",
"build": "node_modules/cross-env/bin/cross-env.js NODE_ENV=production node_modules/webpack/bin/webpack.js --config node_modules/strapi-helper-plugin/lib/internals/webpack/webpack.prod.babel.js --color -p --progress",
"build:clean": "node_modules/rimraf/bin.js admin/build",
"build": "node_modules/strapi-helper-plugin/node_modules/cross-env/bin/cross-env.js NODE_ENV=production node_modules/strapi-helper-plugin/node_modules/webpack/bin/webpack.js --config node_modules/strapi-helper-plugin/lib/internals/webpack/webpack.prod.babel.js --color -p --progress",
"build:clean": "node_modules/strapi-helper-plugin/node_modules/rimraf/bin.js admin/build",
"build:dll": "node node_modules/strapi-helper-plugin/lib/internals/scripts/dependencies.js",
"start": "node_modules/cross-env/bin/cross-env.js NODE_ENV=development node lib/server",
"start": "node_modules/strapi-helper-plugin/node_modules/cross-env/bin/cross-env.js NODE_ENV=development node lib/server",
"generate": "node_modules/plop/plop.js --plopfile node_modules/strapi-helper-plugin/lib/internals/generators/index.js",
"lint": "node_modules/eslint/bin/eslint.js --ignore-path .gitignore --config node_modules/strapi-helper-plugin/lib/internals/eslint/.eslintrc.json admin",
"lint": "node_modules/strapi-helper-plugin/node_modules/eslint/bin/eslint.js --ignore-path .gitignore --config node_modules/strapi-helper-plugin/lib/internals/eslint/.eslintrc.json admin",
"pretest": "npm run lint",
"prettier": "node_modules/prettier/bin/prettier.js --single-quote --trailing-comma es5 --write \"{admin,__{tests,mocks}__}/**/*.js\"",
"prettier": "node_modules/strapi-helper-plugin/node_modules/prettier/bin/prettier.js --single-quote --trailing-comma es5 --write \"{admin,__{tests,mocks}__}/**/*.js\"",
"test": "echo Tests are not implemented.",
"prepublish": "npm run build"
},
......@@ -48,6 +48,6 @@
"react-select": "^1.0.0-rc.5"
},
"devDependencies": {
"strapi-helper-plugin": "^3.0.0-alpha.4.5"
"strapi-helper-plugin": "3.0.0-alpha.4.9"
}
}
\ No newline at end of file
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment